> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yertle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Token

> Verify if a token is valid and return user information.



## OpenAPI

````yaml post /auth/verify
openapi: 3.1.0
info:
  title: Flow API
  description: Content-addressing backend with Git-like versioning
  version: 1.0.0
servers:
  - url: https://api.yertle.com
    description: Production
security: []
paths:
  /auth/verify:
    post:
      tags:
        - authentication
      summary: Verify Token
      description: Verify if a token is valid and return user information.
      operationId: verify_token_auth_verify_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyTokenRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyTokenResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VerifyTokenRequest:
      properties:
        token:
          type: string
          title: Token
          description: Token to verify
      type: object
      required:
        - token
      title: VerifyTokenRequest
      description: Request model for token verification.
    VerifyTokenResponse:
      properties:
        valid:
          type: boolean
          title: Valid
          description: Whether token is valid
        user:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: User
          description: User info if token is valid
        expires:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires
          description: Token expiry time
      type: object
      required:
        - valid
      title: VerifyTokenResponse
      description: Response model for token verification.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````